Skip to documentation
GETBearer token

List firewalls

/api/v1/firewalls

Read organization and system firewall resources, rules and attached servers. System resources cannot be edited.

Request example

cURL
curl "https://tovahub.com/api/v1/firewalls" \
  -H "Authorization: Bearer $TOVAHUB_TOKEN"

Examples only. No requests are sent from this page.

Illustrative response
JSON
[]

Parameters

No parameters.

Response

HTTP status 200

Return an array of current organization and system firewall resources.

[]array

The root response is an array, not a firewalls wrapper.

[].idstring

Local firewall identifier, or system for the shared system resource.

[].systemboolean

Whether this is the system firewall.

[].providerIdstring | null

Supplier firewall identifier, when available.

[].namestring

Saved or supplier firewall name.

[].statestring

Local resource state.

[].statusstring

Supplier status, or unknown if no saved snapshot exists.

[].managedboolean

Whether all supplier-associated servers are owned and visible in this organization.

[].rulesarray

Visible inbound rules, excluding the supplier's final default deny rule.

[].rules[].displayNamestring

Rule label.

[].rules[].protocolstring

Rule protocol.

[].rules[].destPortsstring[]

Destination ports or ranges.

[].rules[].ipv4string[]

IPv4 sources.

[].rules[].ipv6string[]

IPv6 sources.

[].rules[].actionstring

Supplier rule action.

[].rules[].statusstring

Supplier rule status.

[].serversarray

Visible attached organization servers.

[].servers[].idstring (ObjectId)

Local platform server identifier.

[].servers[].namestring

Hostname, falling back to supplier instance ID.

[].servers[].statusstring

Supplier attachment status, defaulting to ok.